function gameinput (sender,obj_id,attachedID)
  -- Write("sender = "..sender.."; obj_id="..obj_id.."\n")
  MiniInterfaceHandler(sender, obj_id,attachedID);
  sendersProcessing(sender,obj_id,attachedID)
  if wrongItemWarning(sender, obj_id, attachedID,"golub_12_13") then
    return
  end
  if sender==1 then
    if obj_id == 5 then
      if obj.golub_12_13 and attachedID == obj.golub_12_13.id then
        removeFromMouse()
        UnStoreObj(obj.golub_12_13.id)
        playeffect("gol_ins")
        setCursor(5,3)
        ActivateObject(5,false)
        Block_Show_Cur(true)
        speciale_action(2,2,true,0.5)
        StartTimer(timerID,0.6,"frame1")
      else
        CreatePlashechka("606")
      end
    end
  end
end

function frame1()
    playeffect("gol_rot",true)
  RotateObject(2,0,360,3.5)
  RotateObject(4,0,360,3.5)
  RotateObject(5,0,360,3.5)
  StartTimer(timerID,4.1,"frame2")
end
function frame2()
  StopAllEffects()
  speciale_action(2,3,true,0.2)
  speciale_action(2,4,true,0.2)
  playeffect("lock")
  StartTimer(timerID,0.6,"frame3")
end

function frame3()
  speciale_action(2,1,true,1)
  
  Block_Show_Cur(false)
  neighbors.Golubok.lock = true
  StartTimer(timerID,1.6,"CloseSatelite")
end